Anope IRC Services

Please login or register.

Login with username, password and session length
Advanced search  

News:

Pages: [1]   Go Down

Author Topic: Installing anope: ./Config not working with new CMake version?  (Read 77 times)

0 Members and 1 Guest are viewing this topic.

Kenneth Clement

  • Anope User
  • Offline Offline
  • Posts: 3
Installing anope: ./Config not working with new CMake version?
« on: February 12, 2021, 08:18:57 PM »

I'm using the latest version of Anope (2.0.9) and want to install a few extra modules, but when using ./Config or ./Config -quick (Using cmake version 3.13.4) i get a lot of errors from CMake.
Did try a clean install, but get the same errors from Cmake. I think this problem is since the new version update of Cmake, but could not install an older version now.

Output when trying to do ./Config or ./Config -quick

Saving configuration results in config.cache... done.
cmake  -DINSTDIR:STRING=/home/kenneth/services  -DDEFUMASK:STRING=077 -DCMAKE_BUILD_TYPE:STRING=RELEASE -DUSE_PCH:BOOLEAN=OFF    ..
CMake Deprecation Warning at CMakeLists.txt:6 (cmake_policy):
  The OLD behavior for policy CMP0026 will be removed from a future version
  of CMake.

  The cmake-policies(7) manual explains that the OLD behaviors of all
  policies are deprecated and that a policy should be set to OLD only under
  specific short-term circumstances.  Projects should be ported to the NEW
  behavior and not rely on setting a policy to OLD.


CMake Deprecation Warning at CMakeLists.txt:9 (cmake_policy):
  The OLD behavior for policy CMP0007 will be removed from a future version
  of CMake.

  The cmake-policies(7) manual explains that the OLD behaviors of all
  policies are deprecated and that a policy should be set to OLD only under
  specific short-term circumstances.  Projects should be ported to the NEW
  behavior and not rely on setting a policy to OLD.


CMake Warning (dev) at modules/CMakeLists.txt:54 (add_library):
  Policy CMP0002 is not set: Logical target names must be globally unique.
  Run "cmake --help-policy CMP0002" for policy details.  Use the cmake_policy
  command to set the policy and suppress this warning.
Call Stack (most recent call first):
  modules/CMakeLists.txt:13 (build_modules)
  modules/CMakeLists.txt:169 (build_modules)
This warning is for project developers.  Use -Wno-dev to suppress it.

CMake Warning (dev) at modules/CMakeLists.txt:54 (add_library):
  Policy CMP0002 is not set: Logical target names must be globally unique.
  Run "cmake --help-policy CMP0002" for policy details.  Use the cmake_policy
  command to set the policy and suppress this warning.
Call Stack (most recent call first):
  modules/CMakeLists.txt:13 (build_modules)
  modules/CMakeLists.txt:169 (build_modules)
This warning is for project developers.  Use -Wno-dev to suppress it.

CMake Error at cmake/Anope.cmake:411 (message):
  /home/kenneth/services/anope-2.0.9/modules/third/m_ldap.cpp needs header
  file ldap.h but we were unable to locate that header file! Check that the
  header file is within the search path of your OS.
Call Stack (most recent call first):
  modules/CMakeLists.txt:29 (calculate_depends)
  modules/CMakeLists.txt:13 (build_modules)
  modules/CMakeLists.txt:169 (build_modules)


-- Configuring incomplete, errors occurred!
See also "/home/kenneth/services/anope-2.0.9/build/CMakeFiles/CMakeOutput.log".
See also "/home/kenneth/services/anope-2.0.9/build/CMakeFiles/CMakeError.log".
You should fix these issues and then run ./Config -quick to rerun CMake.
Logged

genius3000

  • Anope User
  • Offline Offline
  • Posts: 37
Re: Installing anope: ./Config not working with new CMake version?
« Reply #1 on: February 12, 2021, 08:24:34 PM »

The first four "errors" are just warnings about CMake policies that will eventually need dealt with but are not your current issue. The last error is legit and looks like you've enabled m_ldap but don't have the necessary '-dev' package installed on your system (or otherwise missing/can't find the header files).
Logged
-genius3000

Kenneth Clement

  • Anope User
  • Offline Offline
  • Posts: 3
Re: Installing anope: ./Config not working with new CMake version?
« Reply #2 on: February 12, 2021, 08:52:38 PM »

Thanks for your reply.

After removing this module, i get the same error for the other modules.. (m_mysql as example)
Do you know witch DEV i need to isntall, with apt-get install .... ? Thanks if you could help.


CMake Error at cmake/Anope.cmake:411 (message):
  /home/kenneth/services/anope-2.0.9/modules/third/m_mysql.cpp needs header
  file mysql/mysql.h but we were unable to locate that header file! Check
  that the header file is within the search path of your OS.
Call Stack (most recent call first):
  modules/CMakeLists.txt:29 (calculate_depends)
  modules/CMakeLists.txt:13 (build_modules)
  modules/CMakeLists.txt:169 (build_modules)
Logged

genius3000

  • Anope User
  • Offline Offline
  • Posts: 37
Re: Installing anope: ./Config not working with new CMake version?
« Reply #3 on: February 12, 2021, 08:58:49 PM »

Most of them will be lib<name>-dev or a close variant of. One way to search for them is
Code: [Select]
apt search <name> | grep dev where <name> would be 'mysql', 'ldap', etc.

A few package examples for Ubuntu 16.04 (I know, old):
Code: [Select]
libldap2-dev
libmysqlclient-dev
Logged
-genius3000

Kenneth Clement

  • Anope User
  • Offline Offline
  • Posts: 3
Re: Installing anope: ./Config not working with new CMake version?
« Reply #4 on: February 12, 2021, 09:06:33 PM »

Perfect thanks! Installed a few packages and there are no missing headers any more.
Logged
Pages: [1]   Go Up